rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs
db_emu.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | __db
struct | __db_dbt
struct | __db_env
struct | __dbc
struct | __db_txn
struct | __db_h_stat

## Macros
#define | DB_DBT_MALLOC 0x01 /* We malloc the memory and hand off a copy. */
#define | DB_FAST_STAT 11
#define | DB_KEYLAST 19
#define | DB_NEXT 21
#define | DB_SET 32
#define | DB_WRITECURSOR 39
#define | DB_NOTFOUND (-30990)
#define | DB_PRIVATE 0x0200000
#define | DB_EXCL 0x0004000
#define | DB_VERSION_MAJOR 3
#define | DB_VERSION_MINOR 0
#define | DB_VERSION_PATCH 0

## Typedefs
typedef struct __db | DB
typedef struct __db_dbt | DBT
typedef struct __db_env | DB_ENV
typedef struct __dbc | DBC
typedef struct __db_txn | DB_TXN
typedef struct __db_h_stat | DB_HASH_STAT

## Macro Definition Documentation

#define DB_DBT_MALLOC 0x01 /* We malloc the memory and hand off a copy. */

Definition at line 25 of file db_emu.h.

Referenced by sql_cget().

#define DB_EXCL 0x0004000

Definition at line 52 of file db_emu.h.

Referenced by db3open(), and sql_initDB().

#define DB_FAST_STAT 11

Definition at line 45 of file db_emu.h.

Referenced by db3stat(), and dbiOpen().

#define DB_KEYLAST 19

Definition at line 46 of file db_emu.h.

Referenced by db3cput(), miFreeHeader(), rpmdbAdd(), and rpmdbRemove().

#define DB_NEXT 21

Definition at line 47 of file db_emu.h.

Referenced by rpmdbMireApply(), and rpmmiNext().

#define DB_NOTFOUND (-30990)

Definition at line 50 of file db_emu.h.

Referenced by db3cdel(), db3cget(), db3cpget(), dbiFindMatches(), rpmdbAdd(), rpmdbCount(), rpmdbGrowIterator(), rpmdbRemove(), and sql_cget().

#define DB_PRIVATE 0x0200000

Definition at line 51 of file db_emu.h.

Referenced by db3close(), db3open(), sql_close(), and sql_open().

#define DB_SET 32

Definition at line 48 of file db_emu.h.

Referenced by db3cdel(), dbiFindMatches(), rpmdbAdd(), rpmdbCount(), rpmdbFindByFile(), rpmdbGrowIterator(), rpmdbRemove(), rpmmiGet(), rpmmiInit(), rpmmiNext(), sql_cget(), and unsatisfiedDepend().

#define DB_VERSION_MAJOR 3

Definition at line 54 of file db_emu.h.

Referenced by cvtdberr(), and db3open().

#define DB_VERSION_MINOR 0

Definition at line 55 of file db_emu.h.

#define DB_VERSION_PATCH 0

Definition at line 56 of file db_emu.h.

#define DB_WRITECURSOR 39

Definition at line 49 of file db_emu.h.

Referenced by db3copen(), rpmdbAdd(), rpmdbRemove(), rpmmiSetRewrite(), sql_cclose(), sql_copen(), and unsatisfiedDepend().

## Typedef Documentation

typedef struct __db DB

Definition at line 9 of file db_emu.h.

typedef struct __db_env DB_ENV

Definition at line 11 of file db_emu.h.

typedef struct __db_h_stat DB_HASH_STAT

Definition at line 14 of file db_emu.h.

typedef struct __db_txn DB_TXN

Definition at line 13 of file db_emu.h.

typedef struct __dbc DBC

Definition at line 12 of file db_emu.h.

typedef struct __db_dbt DBT

Definition at line 10 of file db_emu.h.